All of lore.kernel.org
 help / color / mirror / Atom feed
From: mornfall@sourceware.org <mornfall@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test test-lib.sh
Date: 29 Sep 2008 16:00:54 -0000	[thread overview]
Message-ID: <20080929160054.17782.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall at sourceware.org	2008-09-29 16:00:53

Modified files:
	test           : test-lib.sh 

Log message:
	Export testlib_cleanup_ from test-lib.sh, which is needed for test-utils.sh to
	be able to call proper EXIT traps.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/test-lib.sh.diff?cvsroot=lvm2&r1=1.4&r2=1.5

--- LVM2/test/test-lib.sh	2008/08/05 11:39:54	1.4
+++ LVM2/test/test-lib.sh	2008/09/29 16:00:53	1.5
@@ -247,10 +247,14 @@
 test_dir_rand_=$($abs_srcdir/mkdtemp $test_dir_ lvm-$this_test.XXXXXXXXXX) \
     || error "failed to create temporary directory in $test_dir_"
 
+testlib_cleanup_() {
+    d="$test_dir_rand_";
+    cd "$test_dir_" && chmod -R u+rwx "$d" && rm -rf "$d"
+}
+
 # Run each test from within a temporary sub-directory named after the
 # test itself, and arrange to remove it upon exception or normal exit.
-trap 'st=$?; cleanup_; d='"$test_dir_rand_"';
-    cd '"$test_dir_"' && chmod -R u+rwx "$d" && rm -rf "$d" && exit $st' 0
+trap 'st=$?; cleanup_; testlib_cleanup_; exit $st' 0
 trap '(exit $?); exit $?' 1 2 13 15
 
 cd $test_dir_rand_ || error "failed to cd to $test_dir_rand_"



                 reply	other threads:[~2008-09-29 16:00 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20080929160054.17782.qmail@sourceware.org \
    --to=mornfall@sourceware.org \
    --cc=lvm-devel@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.